/*
 * tests.h
 *
 *  Created on: Dec 18, 2012
 *      Author: att
 */

#ifndef TESTS_H_
#define TESTS_H_
#include <string>
#include <iostream>
#include "TestLexer.h"
#include "TestASTInspector.h"
#include "TestParser.h"
#include "../Lexer.h"
#include "../Parser.h"


using namespace std;


void run_test_suites()
{
	TestLexer test_lexer;
	test_lexer.run_tests();

	TestASTInspector test_inspector;
	test_inspector.run_tests();

	TestParser test_parser;
	test_parser.run_tests();

}

void run_tests()
{
	cout << "derp!" << endl;
	run_test_suites();

}



#endif /* TESTS_H_ */
